Issue 597 in xmonad: xmonad-contrib-0.11.4 does not compile

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Issue 597 in xmonad: xmonad-contrib-0.11.4 does not compile

codesite-noreply@google.com
Status: New
Owner: ----

New issue 597 by sim... at cryp.to: xmonad-contrib-0.11.4 does not compile
https://code.google.com/p/xmonad/issues/detail?id=597

See http://hydra.cryp.to/build/696615/nixlog/1/raw for a complete build log  
that shows the issue. It appears that XMonad/Util/Invisible.hs doesn't  
import Applicative.

--
You received this message because this project is configured to send all  
issue notifications to this address.
You may adjust your notification preferences at:
https://code.google.com/hosting/settings

Reply | Threaded
Open this post in threaded view
|

Issue 597 in xmonad: xmonad-contrib-0.11.4 does not compile

codesite-noreply@google.com

Comment #1 on issue 597 by markwri... at internode.on.net:  
xmonad-contrib-0.11.4 does not compile
https://code.google.com/p/xmonad/issues/detail?id=597

Patch to add import Control.Applicative

Attachments:
        xmonad-contrib-0.11.4-import-Applicative.patch  918 bytes

--
You received this message because this project is configured to send all  
issue notifications to this address.
You may adjust your notification preferences at:
https://code.google.com/hosting/settings

Reply | Threaded
Open this post in threaded view
|

Re: Issue 597 in xmonad: xmonad-contrib-0.11.4 does not compile

codesite-noreply@google.com
Updates:
        Status: Fixed

Comment #2 on issue 597 by [hidden email]: xmonad-contrib-0.11.4  
does not compile
https://code.google.com/p/xmonad/issues/detail?id=597

This appears to have been fixed since mid-July in darcs by the patch  
titled "derive Applicative instances to suppress AMP warning".

--
You received this message because this project is configured to send all  
issue notifications to this address.
You may adjust your notification preferences at:
https://code.google.com/hosting/settings
_______________________________________________
xmonad mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/xmonad
Reply | Threaded
Open this post in threaded view
|

Re: Issue 597 in xmonad: xmonad-contrib-0.11.4 does not compile

codesite-noreply@google.com

Comment #3 on issue 597 by [hidden email]: xmonad-contrib-0.11.4  
does not compile
https://code.google.com/p/xmonad/issues/detail?id=597

Issue 601 has been merged into this issue.

--
You received this message because this project is configured to send all  
issue notifications to this address.
You may adjust your notification preferences at:
https://code.google.com/hosting/settings
_______________________________________________
xmonad mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/xmonad
Reply | Threaded
Open this post in threaded view
|

Re: Issue 597 in xmonad: xmonad-contrib-0.11.4 does not compile

codesite-noreply@google.com

Comment #4 on issue 597 by [hidden email]: xmonad-contrib-0.11.4  
does not compile
https://code.google.com/p/xmonad/issues/detail?id=597

This issue is marked as "Fixed", does it mean that `cabal install  
xmonad-contrib` should not fail anymore? Or does it try to install  
some "stable" version of the package? If so, how can I install the patched  
bleeding-edge version?

Sorry for such an uneducated question, but Haskell development/package  
management
are quite a mystery for an outsider :)

--
You received this message because this project is configured to send all  
issue notifications to this address.
You may adjust your notification preferences at:
https://code.google.com/hosting/settings
_______________________________________________
xmonad mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/xmonad
Reply | Threaded
Open this post in threaded view
|

Re: Issue 597 in xmonad: xmonad-contrib-0.11.4 does not compile

codesite-noreply@google.com

Comment #5 on issue 597 by [hidden email]: xmonad-contrib-0.11.4  
does not compile
https://code.google.com/p/xmonad/issues/detail?id=597

"Fixed" means that things will work without extra effort at the time of  
next release.

To get the bleeding-edge version, follow the instructions for installing  
from darcs on the official instructions at http://xmonad.org/download.html; 
that is:

darcs get http://code.haskell.org/xmonad
darcs get http://code.haskell.org/XMonadContrib
cabal install ./xmonad ./XMonadContrib

--
You received this message because this project is configured to send all  
issue notifications to this address.
You may adjust your notification preferences at:
https://code.google.com/hosting/settings
_______________________________________________
xmonad mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/xmonad